/*
 * Copyright (c) 2011 Samsung Electronics Co., Ltd All Rights Reserved
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
/**
 * @file    plugin_module.h
 * @author  Lukasz Marek (l.marek@samgsung.com)
 * @version
 * @brief
 */

#ifndef WRT_SRC_PLUGIN_SERVICE_PLUGIN_MODULE_H_
#define WRT_SRC_PLUGIN_SERVICE_PLUGIN_MODULE_H_

extern "C" {
    typedef struct OpaqueJSContext* JSGlobalContextRef;
}

namespace PluginModule {

//forward declaration

void start(int widgetHandle,
           JSGlobalContextRef context,
           double scale,
           const char* encodedBundle);
void stop();
void shutdown();
void loadPluginsIntoIFrame();

}

#endif
